Bug 49617 - RFE: kickstart: if not enough space for partition, graceful error message
Summary: RFE: kickstart: if not enough space for partition, graceful error message
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-21 17:21 UTC by Pekka Savola
Modified: 2007-04-18 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-21 17:23:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (8.27 KB, text/plain)
2001-07-21 17:22 UTC, Pekka Savola
no flags Details
slightly modified ks.cfg; the disk was 4.3 GB big. (667 bytes, text/plain)
2001-07-21 17:23 UTC, Pekka Savola
no flags Details

Description Pekka Savola 2001-07-21 17:21:52 UTC
beta2 with updates disk, bootnet kickstart.

if you have specified too long partitions, so that they don't fit on your
disk, you get a message:

Could not allocated <sic> requested partitions: Partitioning failed.  Could
not
allocate partitions.

Hitting enter generates a traceback.

Perhaps the kickstart code should check for minimal space requirements
first?

Comment 1 Pekka Savola 2001-07-21 17:22:48 UTC
Created attachment 24427 [details]
traceback

Comment 2 Pekka Savola 2001-07-21 17:23:47 UTC
Created attachment 24428 [details]
slightly modified ks.cfg; the disk was 4.3 GB big.

Comment 3 Jeremy Katz 2001-07-22 03:34:22 UTC
Changed so that partitioning errors in kickstart are fatal as that's more inline
with the way that kickstart has always worked (and partitioning warnings don't 
pop up dialog boxes now either)


Note You need to log in before you can comment on or make changes to this bug.